Update a teamspace
View as MarkdownPATCH
/v1/teamspaces/{teamspaceId}Changes name, description, icon, visibility or default flag. Teamspace owners and workspace owners/admins only. Changing visibility changes who can read its pages.
curl -X PATCH "https://api.lydie.co/v1/teamspaces/01JCQ3V5MZ8G4ZK2X7T9R6N1PB" \
-H "Authorization: Bearer $LYDIE_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'Path parameters
Teamspace id.
Body
- visibilitystring
One of
openclosedprivate - isDefaultboolean
Response
- namestring
- descriptionstring
- visibilitystring
One of
openclosedprivate - isDefaultboolean
One of
ownermember- createdAttimestamp
- updatedAttimestamp
{
"id": "string",
"workspaceId": "01JCQ3TZ0WJ8K4M2X7T9R6N1PA",
"name": "Notes",
"description": "string",
"icon": null,
"visibility": "open",
"isDefault": false,
"myRole": null,
"createdAt": "2026-11-12T09:30:00.000Z",
"updatedAt": "2026-11-12T09:30:00.000Z",
"deletedAt": null
}Errors use one envelope for every endpoint. See Errors and versions.